"use strict";

this.name    = "AI Trading Multimode"; 
this.version = "2.12.2";

/* ========================================================
			CHANGE DISPLAYS BY SCREENS F8,F8.
=========================================================== */

    this.startUp = function () {
        "use strict";
        if (worldScripts["AI Trading Tips"] &&
            worldScripts["AI Trading Tips"]._addTip) {
            worldScripts["AI Trading Tips"]._addTip("multimode", ["Press F8 to change the screen display mode.", "Tip!", ""]);
        }
        delete this.startUp;
    }

    this.guiScreenWillChange = function (to, from) {
        "use strict";
        if (player.ship.docked &&
            from === "GUI_SCREEN_MARKET" &&
            to === "GUI_SCREEN_MARKET" &&
            guiScreen === "GUI_SCREEN_MARKET" &&
            player.ship.equipmentStatus("EQ_AI_TRADING_ASSISTANT") === "EQUIPMENT_OK") {
                worldScripts['AI Trading Assistant'].$displayMode[0][0]++;
                if (worldScripts['AI Trading Assistant'].$displayMode[0][0] >= worldScripts['AI Trading Assistant'].$displayMode.length) {
                    worldScripts['AI Trading Assistant'].$displayMode[0][0] = 1;
                }
                worldScripts['AI Trading Assistant']._setDisplayMode(false, true);
        }
    }

/* ========================================================
			COPYRIGHT NOTICE

	(C)2013-2014, Wildeblood. All rights reserved. 
	Free to use, but DO NOT PROMULGATE MODIFIED VERSIONS.

This was created by some fellow with the user name "Wildeblood" on the Oolite forums, 
he'll tell you his real name if you bother to ask.
To use means to play with, modify or re-use in whole or in part, and to distribute freely.
To use DOES NOT imply to use for commercial gain, which would be a breach of copyright.
To promulgate means to make official announcements.
=========================================================== */